Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1282084 - Python3 port of python-flask-admin
Summary: Python3 port of python-flask-admin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-flask-admin
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2015-11-14 20:34 UTC by Sebastian Dyroff
Modified: 2018-01-02 08:49 UTC (History)
6 users (show)

Fixed In Version: python-flask-admin-1.2.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-19 19:24:35 UTC
Type: Bug
Embargoed:
lbalhar: needinfo-


Attachments (Terms of Use)
patch againts the master spec (deleted)
2015-11-14 20:34 UTC, Sebastian Dyroff
no flags Details
Fix language files for python version (deleted)
2016-11-11 09:39 UTC, Sebastian Dyroff
no flags Details

Description Sebastian Dyroff 2015-11-14 20:34:32 UTC
Created attachment 1094192 [details]
patch againts the master spec

Upstream seems to support python3. I added a python3 subpackage to the original spec file. Please have a look, especially look into the translations grep sed magic to generate the lang files.

I also changed the LICENSE file to %license

Comment 2 Petr Viktorin (pviktori) 2016-02-12 13:40:31 UTC
I suspect the package's maintainer might not be getting notifications from this bug, so I've contacted him directly.

Comment 3 Fedora Update System 2016-02-12 15:23:21 UTC
python-flask-admin-1.2.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-136c2b771c

Comment 4 Fedora Update System 2016-02-15 05:24:41 UTC
python-flask-admin-1.2.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-136c2b771c

Comment 5 Jan Kurik 2016-02-24 13:57:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora Update System 2016-04-19 19:24:32 UTC
python-flask-admin-1.2.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Jan Beran 2016-10-21 16:46:30 UTC
Hi Petr,

please, could you check? It looks that there is still remaining Python 2 vs Python 3 dependency issue not reflected in this bug that should be kept open.

Comment 8 Petr Viktorin (pviktori) 2016-10-24 09:05:37 UTC
Indeed, there's a bug on lines 79-80 of the specfile:

http://pkgs.fedoraproject.org/cgit/rpms/python-flask-admin.git/tree/python-flask-admin.spec#n79

The Python version in current Fedoras is is 3.5, so the `%{__grep} -v python3.4` won't match anything, and py3 files are included in the py2 package.

Instead of hardcoding `3.4`, you should use %python3_version.

Comment 9 Jan Beran 2016-11-11 08:05:04 UTC
Hi Sebastian,

please could you fix your attached patch according to Petr Viktorin's guidance?

Thank you.

Comment 10 Sebastian Dyroff 2016-11-11 09:39:05 UTC
Created attachment 1219688 [details]
Fix language files for python version

I created a new patch against master that should fix the issue.

I see a few other problems:

- There is a file python-flask-admin-1.4.2-1.fc25.src.rpm in the repo
- the language specific files are not in %lang

Maybe it is possible to use the %find_lang macro for the lang files

Comment 11 Jan Beran 2017-12-18 18:17:03 UTC
Hello,

I created a Pagure PR that provides new version of python-flask-admin and fixes the Python 2 vs Python 3 dependency issue:

https://src.fedoraproject.org/rpms/python-flask-admin/pull-request/1

Please, may I ask to review and rebuild?


Note You need to log in before you can comment on or make changes to this bug.